diff --git a/third_party/deepstate/upstream/src/include/deepstate/DeepState.hpp b/third_party/deepstate/upstream/src/include/deepstate/DeepState.hpp
index 5e51760b2c6..8c6b34dfd2d 100644
--- a/third_party/deepstate/upstream/src/include/deepstate/DeepState.hpp
+++ b/third_party/deepstate/upstream/src/include/deepstate/DeepState.hpp
@@ -504,10 +504,10 @@ inline static void DeepState_SymbolizeCStr(char *begin, const char* allowed = 0)
 
 #define ONE_OF ::deepstate::OneOf
 
-#define TEST(category, name) \
+#define DEEPSTATE_TEST(category, name) \
     DeepState_EntryPoint(category ## _ ## name)
 
-#define _TEST_F(fixture_name, test_name, file, line) \
+#define _DEEPSTATE_TEST_F(fixture_name, test_name, file, line) \
     class fixture_name ## _ ## test_name : public fixture_name { \
      public: \
       void DoRunTest(void); \
@@ -536,7 +536,7 @@ inline static void DeepState_SymbolizeCStr(char *begin, const char* allowed = 0)
     void fixture_name ## _ ## test_name :: DoRunTest(void)
 
 
-#define _EXPAND_COMPARE(a, b, op) \
+#define _DEEPSTATE_EXPAND_COMPARE(a, b, op) \
   ([] (decltype(a) __a0, decltype(b) __b0) -> bool { \
     using __A = typename ::deepstate::DeclType<decltype(__a0)>::Type; \
     using __B = typename ::deepstate::DeclType<decltype(__b0)>::Type; \
@@ -544,74 +544,74 @@ inline static void DeepState_SymbolizeCStr(char *begin, const char* allowed = 0)
     return ::deepstate::Comparer<__A, __B>::Do(__a0, __b0, __cmp); \
   })((a), (b))
 
-#define TEST_F(fixture_name, test_name) \
-    _TEST_F(fixture_name, test_name, __FILE__, __LINE__)
+#define DEEPSTATE_TEST_F(fixture_name, test_name) \
+    _DEEPSTATE_TEST_F(fixture_name, test_name, __FILE__, __LINE__)
 
-#define LOG_DEBUG(cond) \
+#define DEEPSTATE_LOG_DEBUG(cond) \
     ::deepstate::Stream(DeepState_LogDebug, (cond), __FILE__, __LINE__)
 
-#define LOG_TRACE(cond) \
+#define DEEPSTATE_LOG_TRACE(cond) \
     ::deepstate::Stream(DeepState_LogTrace, (cond), __FILE__, __LINE__)
 
-#define LOG_INFO(cond) \
+#define DEEPSTATE_LOG_INFO(cond) \
     ::deepstate::Stream(DeepState_LogInfo, (cond), __FILE__, __LINE__)
 
-#define LOG_WARNING(cond) \
+#define DEEPSTATE_LOG_WARNING(cond) \
     ::deepstate::Stream(DeepState_LogWarning, (cond), __FILE__, __LINE__)
 
-#define LOG_WARN(cond) \
+#define DEEPSTATE_LOG_WARN(cond) \
     ::deepstate::Stream(DeepState_LogWarning, (cond), __FILE__, __LINE__)
 
-#define LOG_ERROR(cond) \
+#define DEEPSTATE_LOG_ERROR(cond) \
     ::deepstate::Stream(DeepState_LogError, (cond), __FILE__, __LINE__)
 
-#define LOG_FATAL(cond) \
+#define DEEPSTATE_LOG_FATAL(cond) \
     ::deepstate::Stream(DeepState_LogFatal, (cond), __FILE__, __LINE__)
 
-#define LOG_CRITICAl(cond) \
+#define DEEPSTATE_LOG_CRITICAl(cond) \
     ::deepstate::Stream(DeepState_LogFatal, (cond), __FILE__, __LINE__)
 
-#define LOG(LEVEL) LOG_ ## LEVEL(true)
+#define DEEPSTATE_LOG(LEVEL) DEEPSTATE_LOG_ ## LEVEL(true)
 
-#define LOG_IF(LEVEL, cond) LOG_ ## LEVEL(cond)
+#define DEEPSTATE_LOG_IF(LEVEL, cond) DEEPSTATE_LOG_ ## LEVEL(cond)
 
 #define DEEPSTATE_LOG_EQNE(a, b, op, level) \
     ::deepstate::Stream( \
-        level, !(_EXPAND_COMPARE(a, b, op)), __FILE__, __LINE__)
+        level, !(_DEEPSTATE_EXPAND_COMPARE(a, b, op)), __FILE__, __LINE__)
 
 #define DEEPSTATE_LOG_BINOP(a, b, op, level) \
     ::deepstate::Stream( \
         level, !(a op b), __FILE__, __LINE__)
 
-#define ASSERT_EQ(a, b) DEEPSTATE_LOG_EQNE(a, b, ==, DeepState_LogFatal)
-#define ASSERT_NE(a, b) DEEPSTATE_LOG_EQNE(a, b, !=, DeepState_LogFatal)
-#define ASSERT_LT(a, b) DEEPSTATE_LOG_BINOP(a, b, <, DeepState_LogFatal)
-#define ASSERT_LE(a, b) DEEPSTATE_LOG_BINOP(a, b, <=, DeepState_LogFatal)
-#define ASSERT_GT(a, b) DEEPSTATE_LOG_BINOP(a, b, >, DeepState_LogFatal)
-#define ASSERT_GE(a, b) DEEPSTATE_LOG_BINOP(a, b, >=, DeepState_LogFatal)
-
-#define CHECK_EQ(a, b) DEEPSTATE_LOG_EQNE(a, b, ==, DeepState_LogError)
-#define CHECK_NE(a, b) DEEPSTATE_LOG_EQNE(a, b, !=, DeepState_LogError)
-#define CHECK_LT(a, b) DEEPSTATE_LOG_BINOP(a, b, <, DeepState_LogError)
-#define CHECK_LE(a, b) DEEPSTATE_LOG_BINOP(a, b, <=, DeepState_LogError)
-#define CHECK_GT(a, b) DEEPSTATE_LOG_BINOP(a, b, >, DeepState_LogError)
-#define CHECK_GE(a, b) DEEPSTATE_LOG_BINOP(a, b, >=, DeepState_LogError)
-
-#define ASSERT(expr) \
+#define DEEPSTATE_ASSERT_EQ(a, b) DEEPSTATE_LOG_EQNE(a, b, ==, DeepState_LogFatal)
+#define DEEPSTATE_ASSERT_NE(a, b) DEEPSTATE_LOG_EQNE(a, b, !=, DeepState_LogFatal)
+#define DEEPSTATE_ASSERT_LT(a, b) DEEPSTATE_LOG_BINOP(a, b, <, DeepState_LogFatal)
+#define DEEPSTATE_ASSERT_LE(a, b) DEEPSTATE_LOG_BINOP(a, b, <=, DeepState_LogFatal)
+#define DEEPSTATE_ASSERT_GT(a, b) DEEPSTATE_LOG_BINOP(a, b, >, DeepState_LogFatal)
+#define DEEPSTATE_ASSERT_GE(a, b) DEEPSTATE_LOG_BINOP(a, b, >=, DeepState_LogFatal)
+
+#define DEEPSTATE_CHECK_EQ(a, b) DEEPSTATE_LOG_EQNE(a, b, ==, DeepState_LogError)
+#define DEEPSTATE_CHECK_NE(a, b) DEEPSTATE_LOG_EQNE(a, b, !=, DeepState_LogError)
+#define DEEPSTATE_CHECK_LT(a, b) DEEPSTATE_LOG_BINOP(a, b, <, DeepState_LogError)
+#define DEEPSTATE_CHECK_LE(a, b) DEEPSTATE_LOG_BINOP(a, b, <=, DeepState_LogError)
+#define DEEPSTATE_CHECK_GT(a, b) DEEPSTATE_LOG_BINOP(a, b, >, DeepState_LogError)
+#define DEEPSTATE_CHECK_GE(a, b) DEEPSTATE_LOG_BINOP(a, b, >=, DeepState_LogError)
+
+#define DEEPSTATE_ASSERT(expr) \
     ::deepstate::Stream( \
         DeepState_LogFatal, !(expr), __FILE__, __LINE__)
 
-#define ASSERT_TRUE ASSERT
-#define ASSERT_FALSE(expr) ASSERT(!(expr))
+#define DEEPSTATE_ASSERT_TRUE DEEPSTATE_ASSERT
+#define DEEPSTATE_ASSERT_FALSE(expr) DEEPSTATE_ASSERT(!(expr))
 
-#define CHECK(expr) \
+#define DEEPSTATE_CHECK(expr) \
     ::deepstate::Stream( \
         DeepState_LogError, !(expr), __FILE__, __LINE__)
 
-#define CHECK_TRUE CHECK
-#define CHECK_FALSE(expr) CHECK(!(expr))
+#define DEEPSTATE_CHECK_TRUE DEEPSTATE_CHECK
+#define DEEPSTATE_CHECK_FALSE(expr) DEEPSTATE_CHECK(!(expr))
 
-#define ASSUME(expr) \
+#define DEEPSTATE_ASSUME(expr) \
     DeepState_Assume(expr), ::deepstate::Stream( \
         DeepState_LogTrace, true, __FILE__, __LINE__)
 
@@ -619,11 +619,11 @@ inline static void DeepState_SymbolizeCStr(char *begin, const char* allowed = 0)
     DeepState_Assume((a op b)), ::deepstate::Stream( \
         DeepState_LogTrace, true, __FILE__, __LINE__)
 
-#define ASSUME_EQ(a, b) DEEPSTATE_ASSUME_BINOP(a, b, ==)
-#define ASSUME_NE(a, b) DEEPSTATE_ASSUME_BINOP(a, b, !=)
-#define ASSUME_LT(a, b) DEEPSTATE_ASSUME_BINOP(a, b, <)
-#define ASSUME_LE(a, b) DEEPSTATE_ASSUME_BINOP(a, b, <=)
-#define ASSUME_GT(a, b) DEEPSTATE_ASSUME_BINOP(a, b, >)
-#define ASSUME_GE(a, b) DEEPSTATE_ASSUME_BINOP(a, b, >=)
+#define DEEPSTATE_ASSUME_EQ(a, b) DEEPSTATE_ASSUME_BINOP(a, b, ==)
+#define DEEPSTATE_ASSUME_NE(a, b) DEEPSTATE_ASSUME_BINOP(a, b, !=)
+#define DEEPSTATE_ASSUME_LT(a, b) DEEPSTATE_ASSUME_BINOP(a, b, <)
+#define DEEPSTATE_ASSUME_LE(a, b) DEEPSTATE_ASSUME_BINOP(a, b, <=)
+#define DEEPSTATE_ASSUME_GT(a, b) DEEPSTATE_ASSUME_BINOP(a, b, >)
+#define DEEPSTATE_ASSUME_GE(a, b) DEEPSTATE_ASSUME_BINOP(a, b, >=)
 
 #endif  // SRC_INCLUDE_DEEPSTATE_DEEPSTATE_HPP_
